Bug 240534 - [NEW PORT] comms/qradiolink: Multimode SDR transceiver for GNU radio
Summary: [NEW PORT] comms/qradiolink: Multimode SDR transceiver for GNU radio
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Diane Bruce
URL:
Keywords: feature, needs-patch
Depends on: 240546
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-12 11:29 UTC by kunda
Modified: 2019-12-20 12:42 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kunda 2019-09-12 11:29:42 UTC
Description: "Multimode SDR transceiver for GNU radio"
Website: http://qradiolink.org/  
Github: https://github.com/kantooon/qradiolink
Dependencies:
Qt >= 5.2 + Qt5 development packages
qmake-qt5
Pulseaudio (native Alsa support is not fully implemented)
Gnuradio >= 3.7.10 built with OsmoSDR and UHD support
optionally SoapySDR and SoapyPlutoSDR, LimeSDR software libraries
Boost and boost-devel
libgnuradio-osmosdr built with UHD, RTL-SDR, SoapySDR, HackRF, RedPitaya or BladeRF support
libgsm, libprotobuf, libopus, libspeexdsp, libpulse-simple, libpulse, libasound, libcodec2, libsqlite3, libjpeg, libconfig++
protoc compiler (libprotoc 2.6.1 or greater)
Comment 1 kunda 2019-09-12 11:35:44 UTC
Building instructions: http://qradiolink.org/pages/development.html
Comment 2 Walter Schwarzenfeld freebsd_triage 2019-09-12 20:55:46 UTC
A dependency from gnuradio does not build.
Here is a patch bug #225462.
Comment 3 Walter Schwarzenfeld freebsd_triage 2019-09-12 20:57:09 UTC
The dependency is comms/uhd.
Comment 4 Walter Schwarzenfeld freebsd_triage 2019-09-12 21:37:22 UTC
Sorry is still marked broken and seems not to build.
Comment 5 Diane Bruce freebsd_committer 2019-09-28 20:07:11 UTC
qradiolink appears to be being built against gnuradio 3.7
3.8 is in the tree.
Comment 6 Diane Bruce freebsd_committer 2019-12-20 12:42:10 UTC
(In reply to Diane Bruce from comment #5)
(Yes I am replying to myself.) I was hoping qradiolink would be updated to work 
with gnuradio 3.8. Otherwise we may have to bring back a legacy
gnuradio 3.7 port *sigh*